%define upstream_name    SOAP-Lite
%define upstream_version 0.715

%define _requires_exceptions perl(MQSeries.*)\\|perl(MQClient.*)
%define _provides_exceptions perl(LWP::Protocol)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Client and server side SOAP implementation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SOAP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Inspector)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Crypt::SSLeay)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FCGI)
BuildRequires: perl(HTTP::Daemon)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MIME::Lite)
BuildRequires: perl(MIME::Parser)
BuildRequires: perl(Net::POP3)
BuildRequires: perl(SOAP::Transport::FTP) >= 0.711.0
BuildRequires: perl(SOAP::Transport::JABBER) >= 0.712.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildRequires: perl(XML::Parser) >= 2.230.0
BuildRequires: perl(constant)
BuildArch:  noarch

%description
SOAP::Lite for Perl is a collection of Perl modules which provides a simple and
lightweight interface to the Simple Object Access Protocol (SOAP) both on
client and server side.

To learn about SOAP, go to http://www.soaplite.com/#LINKS for more
information.

This version of SOAP::Lite supports a subset of the SOAP 1.1
specification and has initial support for SOAP 1.2 specification.  See
http://www.w3.org/TR/SOAP for details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

find examples -type f | xargs perl -pi \
    -e 's|^#!perl -w|#!%{__perl} -w|;' \
    -e 's|^#!d:\\perl\\bin\\perl.exe ||;'
find examples -type f -name *.bat | xargs rm -f 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --noprompt
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes HACKING META.json META.yml MYMETA.yml README examples
%{_mandir}/*/*
%{_bindir}/*.pl
%{perl_vendorlib}/Apache
%{perl_vendorlib}/SOAP
%{perl_vendorlib}/UDDI
%{perl_vendorlib}/XML
%{perl_vendorlib}/XMLRPC

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.715.0-2.mga3
+ Revision: 372413
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.715.0-1.mga3
+ Revision: 295170
- update to 0.715

* Mon Nov 07 2011 colin <colin> 0.714.0-2.mga2
+ Revision: 164867
- Fix Transport-FTP version (partial upstream fix, partial manual META.yml fix)

* Wed Oct 26 2011 takashi <takashi> 0.714.0-1.mga2
+ Revision: 158214
- update to 0.714

* Sun Jan 23 2011 jquelin <jquelin> 0.712.0-1.mga1
+ Revision: 34212
- mageia rebuild
- imported package perl-SOAP-Lite

